/**
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2004 satoshi akabane(akabane@logical-paradox.org)
 *
 */
package org.logical_paradox.shell.exception;

import org.logical_paradox.common.util.StringUtils;

/**
 * コマンド実行例外
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.2 $
 */
public class CommandExecutionException extends SignalException {
	/**
	 * コンストラクタ
	 */
	public CommandExecutionException() {
		super();
	}
	/**
	 * コンストラクタ
	 * @param msg メッセージ
	 */
	public CommandExecutionException(String msg) {
		super(msg);
	}
	/**
	 * コンストラクタ
	 * @param e 元になった例外
	 */
	public CommandExecutionException(Exception e) {
		super(e);
	}
	/**
	 * この例外の文字列表現を返す
	 * メッセージが指定されていればメッセージ、指定されていない場合はクラス名を返す
	 * @return 文字列表現
	 */
	public String toString() {
		return StringUtils.isEmpty(getMessage()) ? "CommandExecutionException" : getMessage();
	}
}
